rem --------------------------------------------------------------
rem  Konverter Postscript Ausdruck zu SMTP Mail
rem  
rem  Frank Carius, info@netatwork.de, 12. Mrz 2004
rem
rem Diese Job wird durch "REDMON" aufgerufen, welcher als Postmonitor
rem die Ausgaben eines Postscript Treibers umleitet.
rem Anhand des Job Owners wird die PS Datei in PDF konvertiert und per 
rem SMTP an den Owner zurckgesendet
rem Version 1.0  erste Version
rem Version 1.1  Korrekturen: fehlende Anfuerhungszeichen etc
rem Version 1.2  Verbessertes Debugging
rem Version 1.3  Verbessertes Debugging bei BLAT aktiviert mehr Doku
rem              Untersttzung von GS8.14 Kennwortschutz
rem Version 1.4  Sonderzeichienbehandlung.  danke an Andreas Husch
rem --------------------------------------------------------------

rem --------------------- Definition der Parameter. muessen angepasst werden !! ---------------
rem ----------------- Pfad fr die Protokolldatei
set pdf2smtplog="c:\Programme\gs\redmon\pdf2smtp.log"

rem ----------------- Pfad zu Ghostscript.
set pdf2smtpgs="c:\programme\gs\gs8.14\bin\gswin32c.exe"

rem ----------------- Pfad zu BLAT
set pdf2smtpblat="c:\Programme\gs\redmon\blat.exe"

rem ----------------- SMTP-Domne fuer die Mails
set maildomain=firma.de

rem-----------------  Mailserver zum Versand der Nachrichten. IP-Adresse oder DNS-Name
set mailserver="mail.firma.de"

rem-----------------  Einstellungen fr den PDF Schutz
set pdfprotect=64
set pdfpassword=

rem  -----------------  Behandlung der Sonderzeichen
echo PDF2SMTP %DATE% %TIME% Behandlung der Sonderzeichen ------------------- >>%pdf2smtplog%
SET REDMON_DOCNAME=%REDMON_DOCNAME:\=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME:/=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME::=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME:?=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME:<=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME:>=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME:|=_%
SET REDMON_DOCNAME=%REDMON_DOCNAME:"=_%


rem  -----------------  Ausgabe der Daten in die Protokolldatei zur Fehlersuche
echo PDF2SMTP %DATE% %TIME% Umgebungsvariablen -------------------------------- >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_PORT      = %REDMON_PORT%           >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_JOB       = %REDMON_JOB%            >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_PRINTER   = %REDMON_PRINTER%        >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_MACHINE   = %REDMON_MACHINE%        >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_USER      = %REDMON_USER%           >>%pdf2smtplog% 
echo PDF2SMTP %DATE% %TIME% REDMON_DOCNAME   = %REDMON_DOCNAME%        >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_FILENAME  = %REDMON_FILENAME%       >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% REDMON_SESSIONID = %REDMON_SESSIONID%      >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% Inputfile        = %1                      >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% TEMP-Pfad        = %TEMP%                  >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% GS-Pfad          = %pdf2smtpgs%            >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% Blat-Pfad        = %pdf2smtpblat%          >>%pdf2smtplog%

rem ----------------- temporaere Dateipfade festlegen.
set BODYFILE="%TEMP%\%REDMON_USER%-%REDMON_DOCNAME%-%REDMON_JOB%.TXT"
set PDFFILE="%TEMP%\%REDMON_USER%-%REDMON_DOCNAME%-%REDMON_JOB%.PDF"

rem ----------------- Ausgabe dieser temporaeren Dateipfade in die Protokolldatei
echo PDF2SMTP %DATE% %TIME% BODYFILE         = %BODYFILE%              >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% PDFFILE          = %PDFFILE%               >>%pdf2smtplog%


rem -----------------  Ghostscript Konvertierung
echo PDF2SMTP %DATE% %TIME% GS Konvertierung startet Input %1          >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% GS Konvertierung startet Output %PDFFILE%  >>%pdf2smtplog%
start "PDF2SMTP GSKonvert" /WAIT %pdf2smtpgs% -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -dPDFSETTINGS=/default -dPermissions=%pdfprotect% -sOwnerPassword=%pdfpassword% -dCompatibilityLevel=1.4 -sOutputFile=%PDFFILE% %1
echo PDF2SMTP %DATE% %TIME% GS Konvertierung beendet >>%pdf2smtplog%

rem ----------------- Fehlerbehandlung 
if exist %PDFFILE% goto sendpdf
echo PDF2SMTP %DATE% %TIME% Fehler bei der Konvertierung !! 
copy %1 error-%1.PS
echo PDF2SMTP %DATE% %TIME% PostscriptInput gesichert als %1


:sendpdf
rem -----------------  Versand der Mail an den Benutzer
echo PDF2SMTP %DATE% %TIME% Sende Anlage per Mail                  >>%pdf2smtplog%
echo PDF2SMTP %DATE% %TIME% Empfaenger: %REDMON_USER%@%maildomain% >>%pdf2smtplog%

rem -----------------  Erzeugen des BODY
echo PDF2SMTP %DATE% %TIME% Erzeuge Mailbody                       >>%pdf2smtplog%
echo Ihr Konvertierungsauftrag wurde ausgefhrt           > %BODYFILE%
if exist %PDFFILE%     echo Sie finden Die PDF-Datei als Anlage an diese Mail    >>%BODYFILE%
if not exist %PDFFILE% echo !!! FEHLER bei der Konvertierung !!! >>%BODYFILE%
echo ---------------------------------------------------  >>%BODYFILE%
echo Ausdruck erzeugt von: %REDMON_USER%                  >>%BODYFILE%
echo Computer            : %REDMON_MACHINE%               >>%BODYFILE%
echo Drucker             : %REDMON_PRINTER%               >>%BODYFILE%
echo Dokumentname        : %REDMON_DOCNAME%               >>%BODYFILE%
echo Jobnummer           : %REDMON_JOB%                   >>%BODYFILE%
echo ---------------------------------------------------  >>%BODYFILE%
echo Erstellt von PDF2SMTP Version 1.4 am %DATE% %TIME%   >>%BODYFILE%

echo PDF2SMTP %DATE% %TIME% Sende SMTP-Mail
echo PDF2SMTP %DATE% %TIME% Sende SMTP-Mail >>%pdf2smtplog%

echo on
if exist %PDFFILE% start "PDF2SMTP Blat" /Wait %pdf2smtpblat%  %BODYFILE% -server %mailserver% -f "pdf2smtp@%maildomain%" -t "%REDMON_USER%@%maildomain%" -s "%REDMON_DOCNAME%" -log %pdf2smtplog%  -attach %PDFFILE% 

if not exist %PDFFILE% start "PDF2SMTP Blat" /Wait %pdf2smtpblat%  %BODYFILE% -server %mailserver% -f "pdf2smtp@%maildomain%" -t "%REDMON_USER%@%maildomain%" -s "PDF2SMTP Fehler mit %REDMON_DOCNAME%" -log %pdf2smtplog% 

echo PDF2SMTP %DATE% %TIME% Cleanup                                    >>%pdf2smtplog%
del %BODYFILE%
del %PDFFILE%

echo PDF2SMTP %DATE% %TIME% Beendet -------------------------------- >>%pdf2smtplog%